# SignerData

Represents the data to be signed by a signer.

### Table of contents

#### Properties

* [message](#message)
* [data](#data)

### Properties

#### message

• `Optional` **message**: `string`

`sha256` serialized transaction data. Use this for raw `secp256k1` or `ed25519` signing.

Use case: raw signer uses native `secp256k1` to sign the message. i.e `FireblocksSigner`

***

#### data

• `Optional` **data**: `any`

Custom data of the transaction for a signer to process and sign specific to the blockchain.

Use case: integration with web wallets (i.e Keplr Wallet) that don't expose raw signing, but instead require blockchain specific objects, such as `SignDoc` for Cosmos networks


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://sdk.chorus.one/api-reference/types/signer_src.signerdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
